# $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/Makefile.am 3343 2020-07-14 08:28:24Z depa $

include $(top_srcdir)/config/all.mk

AM_CXXFLAGS = -std=c++11 -I$(top_srcdir)/src $(BASDA_INC)/Basda \
    $(BASDA_CXXFLAGS) $(NICE_CXXFLAGS) $(ICE_CXXFLAGS)      \
    $(BOOST_CPPFLAGS) $(PYTHON_INCLUDE_DIR)                 \
    $(QT4_CXXFLAGS) \
    $(CFITSIO_CFLAGS) $(BASDA_CXXFLAGS)/Basda

# listing libraries to build
pkglib_LTLIBRARIES=                        \
    libSharknirBasdaServiceBcu_NiceType.la \
    libSharknirBasdaServiceBcu.la          \
    libSharknirBasdaServiceBcuSimulator.la

libSharknirBasdaServiceBcu_NiceType_ladir = $(includedir)/shins/Sharknir/Bcu/
libSharknirBasdaServiceBcu_ladir = $(includedir)/shins/Sharknir/Bcu/
libSharknirBasdaServiceBcuSimulator_ladir = $(includedir)/shins/Sharknir/Bcu/

libSharknirBasdaServiceBcu_NiceType_la_SOURCES= \
    Bcu.basda                                \
    OverallDiagnosticRecordVar.ice           \
    OverallDiagnosticRecordTypes.nice        \
    OverallDiagnosticRecord.cpp

libSharknirBasdaServiceBcu_NiceType_la_LIBADD= \
    $(BASDA_LIBS) $(NICE_LIBS) $(ICE_LIBS)

libSharknirBasdaServiceBcu_NiceType_la_LDFLAGS=                   \
     -no-undefined -version-info ${LIBRARY_VERSION} \
     $(BASDA_LDFLAGS) $(NICE_LDFLAGS) $(ICE_LDFLAGS)

#-no-install

localServiceLIBADD= libSharknirBasdaServiceBcu_NiceType.la            \
    -lBasdaMicrogateBcu -lBasdaMicrogateDriver -lBasdaMicrogateMgp \
    -lBasdaMicrogateDiagnostics                                    \
    -lBasdaVinoImage_NiceType $(SHARKNIR_UTIL_LIB)

localServiceLDFLAGS= -no-install -no-undefined      \
     -version-info ${LIBRARY_VERSION}               \
     $(BASDA_LDFLAGS) $(NICE_LDFLAGS) $(ICE_LDFLAGS) \
     $(BASDA_VINO_LDFLAGS) \
     $(CFITSIO_LDFLAGS)

# libSharknirBasdaServiceBcu_ladir = $(pkgincludedir)/Sharknir/Bcu

libSharknirBasdaServiceBcu_la_HEADERS = \
OverallDiagnosticRecordBuffer.h \
OverallDiagnosticRecord.h

libSharknirBasdaServiceBcu_la_SOURCES=       \
    ActiveDiagnosticsCollector.cpp        \
    ActiveDiagnosticsCollector.h          \
    SharknirBcuCcdDiagnosticRecord.h         \
    SharknirBcuCcdDiagnosticRecord.cpp       \
    SharknirBcuDiagnosticRecordHeader.cpp    \
    SharknirBcuDiagnosticRecordHeader.h      \
    SharknirBcuSlopeDiagnosticRecord.cpp     \
    SharknirBcuSlopeDiagnosticRecord.h       \
    Const.h                               \
    Device.cpp                            \
    Device.h                              \
    DeviceFactory.cpp                     \
    DeviceFactory.h                       \
    DeviceFactoryImpl.h                   \
    DeviceFactoryImpl.cpp                 \
    DeviceImpl.cpp                        \
    DeviceImpl.h                          \
    DiagnosticsDispatcherFactory.cpp      \
    DiagnosticsDispatcherFactory.h        \
    DiagnosticRecordDispatcher.cpp        \
    DiagnosticRecordDispatcher.h          \
    DiagnosticsDispatcher.cpp             \
    DiagnosticsDispatcher.h               \
    OverallDiagnosticRecordBuffer.cpp     \
    OverallDiagnosticRecordBuffer.h       \
    OverallDiagnosticRecordRingBuffer.cpp \
    OverallDiagnosticRecordRingBuffer.h   \
    PropertyName.h                        \
    ServiceWorker.cpp                     \
    ServiceWorker.h                       \
    ServiceFactory.cpp                    \
    TaNDiagnosticsDispatcherFactory.cpp   \
    TaNDiagnosticsDispatcherFactory.h     \
    ThreadedDiagnosticsCollector.cpp     \
    ThreadedDiagnosticsCollector.h \
		OverallDiagnosticRecordVar.ice

libSharknirBasdaServiceBcu_la_LIBADD= $(localServiceLIBADD)
libSharknirBasdaServiceBcu_la_LDFLAGS= $(localServiceLDFLAGS)
libSharknirBasdaServiceBcu_la_DEPENDENCIES= libSharknirBasdaServiceBcu_NiceType.la

libSharknirBasdaServiceBcuSimulator_la_SOURCES= \
    ServiceWorkerSimulator.cpp               \
    ServiceWorkerSimulator.h                 \
    ServiceSimulatorFactory.cpp

libSharknirBasdaServiceBcuSimulator_la_LIBADD= \
    $(localServiceLIBADD) libSharknirBasdaServiceBcu.la

libSharknirBasdaServiceBcuSimulator_la_LDFLAGS= $(localServiceLDFLAGS)

libSharknirBasdaServiceBcuSimulator_la_DEPENDENCIES= \
    libSharknirBasdaServiceBcu_NiceType.la libSharknirBasdaServiceBcu.la

uidir=$(datadir)/ui/Sharknir
dist_ui_DATA= SharknirBcu.ui
